<?xml version="1.0" encoding="UTF-8"?>
<!DOCTYPE sect1 PUBLIC "-//OASIS//DTD DocBook XML V4.5//EN"
  "http://www.oasis-open.org/docbook/xml/4.5/docbookx.dtd" [
  <!ENTITY % general-entities SYSTEM "../general.ent">
  %general-entities;
]>

<sect1 id="pre-prerequisites">
  <?dbhtml filename="prerequisites.html"?>

  <title>课前预习</title>

  <!--para>Building an LFS system is not a simple task. It requires a certain
  level of existing knowledge of Unix system administration in order to resolve
  problems and correctly execute the commands listed. In particular, as an
  absolute minimum, you should already have the ability to use the
  command line (shell) to copy or move files and directories, list directory
  and file contents, and change the current directory. It is also expected that
  you have a reasonable knowledge of using and installing Linux
  software.</para-->
  <para>构建 LFS 系统不是一项简单的任务。它需要您运用足够丰富的 Unix
	  系统管理知识来解决构建过程中的问题，并正确执行本书给出的命令。特别是，
	  您至少需要拥有使用命令行 (shell) 来复制或移动文件和目录，
	  列出目录或文件的内容，以及切换当前工作目录的能力。
	  另外，我们希望您能够拥有一定水平的使用和安装 Linux 软件的知识。
  </para>

  <!--para>Because the LFS book assumes <emphasis>at least</emphasis> this basic
  level of skill, the various LFS support forums are unlikely to be able to
  provide you with much assistance in these areas. You will find that your
  questions regarding such basic knowledge will likely go unanswered or you
  will simply be referred to the LFS essential pre-reading list.</para-->
  <para>由于本书假定您<emphasis>至少</emphasis>具备上述基本技能，
	  任何 LFS 支持论坛不太可能在这些领域为您提供支援。
	  如果您的问题是关于这些基础知识的，一般会被忽略，或者被提供一份 LFS 
	  基本知识预习书单作为答案。
  </para>

  <!--para>Before building an LFS system, we recommend reading the following:
  </para-->
  <para>在您开始构建 LFS 系统之前，我们建议您阅读下列材料：</para>

  <itemizedlist>
    <listitem>
      <para>Software-Building-HOWTO
      <ulink url="http://www.tldp.org/HOWTO/Software-Building-HOWTO.html"/></para>

      <!--para>This is a comprehensive guide to building and installing
      <quote>generic</quote> Unix software packages under Linux. Although it
      was written some time ago, it still provides a good summary of the
	  basic techniques needed to build and install software.</para-->
      <para>这是一份关于在 Linux 环境编译和安装<quote>一般的</quote>
		  Unix 软件包的详细指南。
		  尽管这份文档比较老，它仍然较好地总结了编译和安装软件的基本技巧。
	  </para>
    </listitem>

    <listitem>
      <para>Beginner's Guide to Installing from Source
      <ulink url="http://moi.vonos.net/linux/beginners-installing-from-source/"/></para>

      <!--para>This guide provides a good summary of basic skills and
	  techniques needed to build software from source code.</para-->
	  <para>这份指南很好地总结了从源代码编译软件的基本技能和技巧。</para>
    </listitem>
<!--
    <listitem>
      <para>The Essential Pre-Reading Hint
      <ulink url="&hints-root;essential_prereading.txt"/></para>

      <para>This is an LFS Hint written specifically for users new to Linux.
      It includes a list of links to excellent sources of information on a
      wide range of topics. Anyone attempting to install LFS should have an
      understanding of many of the topics in this hint.</para>
    </listitem>
-->
  </itemizedlist>

  <note><title>译注</title>
	  <para> 由于译者水平、时间有限，可能不会翻译这两篇文档。</para>
  </note>
</sect1>
